<?php
namespace SM\Service;

use Doctrine\ORM\EntityManager;
use SM\Util\Procedure\FctGerarParcelasFatura2;
use SM\Util\Procedure\FpaCdaTotaliza;

class ProcedureService
{

    protected $connection;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection   = $entityManager->getConnection();
    }

    public function executarFctGerarParcelasFatura($nrseqcontrato, $nrorg, $operador)
    {
        $procedure = new FctGerarParcelasFatura2($this->connection);
        $procedure->executar($nrseqcontrato, $nrorg, $operador);
    }

    public function executarFpaCdaTotaliza($nrorg, $cdempresa, $cdfunc, $dtservprest)
    {
        $procedure = new FpaCdaTotaliza($this->connection);
        $procedure->executar($nrorg, $cdempresa, $cdfunc, $dtservprest);
    }
}
